Page MenuHomePhabricator

Grant metrics Roadmap
Closed, ResolvedPublic

Description

Version 1

The basics:

  • User can login (and logout) with OAuth
  • User can view/add/edit/delete their programs
  • User can view/add/edit/delete their events
  • User can view/add/edit/delete participants for an event
  • User can calculate metrics for their event
  • User can export event data in CSV and wikitext table format

Version 2


Nice to haves/Research doc requests
  • Autocompletion for usernames
  • Autocompletion for wikis
  • Common request from research document is to be able to see what all articles were created/edited during the event. This can be done to a certain extent through the View data interface in v1. Maybe something nicer in v2.
  • Parse out bullets from participants list
  • Add a metrics definitions / link definitions - this needs to be easily understandable. Not statistical jargon.
  • All wiki option in “wiki list” when creating a program (languages)
  • “Show” is confusing; maybe change to “add”, or “edit”. People aren’t sure how to edit or add people. Also, confusing because there was the “edit” button at the top. (For the Accordion sections)
  • "Recalculate totals" is confusing. Use clearer language.
  • Link to metric definitions on meta/elsewhere

Pitfalls to be aware of
  • Validation of usernames for latin and non-latin languages
  • Maybe accommodate both spaces and underscores in names
  • Take care of trailing spaces in names

Event Timeline

Niharika created this task.Oct 23 2017, 7:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2017, 7:22 PM
Niharika triaged this task as Low priority.Oct 23 2017, 7:23 PM
Niharika renamed this task from Grant metrics nice-to-haves to Grant metrics Roadmap.Oct 25 2017, 10:34 PM
Niharika claimed this task.
Niharika updated the task description. (Show Details)
Niharika updated the task description. (Show Details)Nov 16 2017, 7:12 PM
Niharika updated the task description. (Show Details)Jan 18 2018, 9:08 PM
Niharika updated the task description. (Show Details)
Niharika updated the task description. (Show Details)May 15 2018, 6:54 PM
MusikAnimal updated the task description. (Show Details)Sep 26 2018, 12:44 AM
MusikAnimal updated the task description. (Show Details)
jmatazzoni closed this task as Resolved.Nov 6 2018, 11:22 PM
jmatazzoni moved this task from Backlog to Freezer on the Grant-Metrics board.
jmatazzoni added a subscriber: jmatazzoni.

Grant Metrics planning has basically been superseded by the Event Metrics planning. Plus, virtually all of this has been done or is being done now. So I'm closing this as Resolved.

MusikAnimal moved this task from Freezer to Done on the Grant-Metrics board.Nov 6 2018, 11:50 PM